(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/docbookide") load-path))

;; DocBook IDE mode
(autoload 'docbook-mode "docbookide" "Major mode for DocBook documents." t)

;; Turn on font lock when in DocBook mode
(add-hook 'docbook-mode-hook
	  'turn-on-font-lock)

(setq auto-mode-alist  (cons '("\\.dbk$" . docbook-mode) auto-mode-alist)) 
